EPD Extension Kit for MSP430 LaunchPad

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions | Variables
EPD_Kit_Tool_Process.c File Reference

The functions that working with EPD Kit Tool. More...

`#include <Pervasive_Displays_small_EPD.h>`
`#include "EPD_Kit_tool_Process.h"`

## Functions
void | EPD_Kit_Tool_process_init (void)
| Initialize the UART data buffer, check extension board is connected and and check slideshow is enabled. More...
void | EPD_Kit_tool_process_task (void)
| Polling system packet to data buffer. More...

## Variables
slideshow_information_t | slideshow_parameter
long | write_flash_address
uint8_t | board_is_connected
uint16_t | image_count
uint8_t | line_count
uint8_t | rest_data_count
uint16_t | address_offset
uint8_t | slideshow_index

## Detailed Description

The functions that working with EPD Kit Tool.

Copyright (c) 2012-2013 Pervasive Displays Inc. All rights reserved.

Authors: Pervasive Displays Inc.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Function Documentation

void EPD_Kit_Tool_process_init | ( | void |  | ) |

Initialize the UART data buffer, check extension board is connected and and check slideshow is enabled.

Initialize the UART data buffer and start receiving system packets

Check if slideshow is enabled

void EPD_Kit_tool_process_task | ( | void |  | ) |

Polling system packet to data buffer.

Run slideshow if interval has value and not zero